#
# spec file for package nodejs-async
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define base_name async

Name:           nodejs-async
Version:        1.4.0
Release:        14.1
Summary:        Higher-order functions and common patterns for asynchronous code
License:        MIT
Group:          Development/Languages/Other
Url:            https://github.com/caolan/async
Source0:        http://registry.npmjs.org/%{base_name}/-/%{base_name}-%{version}.tgz
BuildRequires:  nodejs-packaging
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%nodejs_find_provides_and_requires

%description
Node.js async module. Higher-order functions and common patterns for asynchronous code.

%prep
%setup -q -n package
chmod 0644 lib/async.js

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{base_name}
cp -pr package.json lib support \
        %{buildroot}%{nodejs_sitelib}/%{base_name}/

%files
%defattr(-,root,root,-)
%doc LICENSE README.md CHANGELOG.md
%{nodejs_sitelib}/%{base_name}

%changelog
* Thu Jul 30 2015 i@marguerite.su
- update version 1.4.0
* Fri Jun 26 2015 i@marguerite.su
- update version 0.9.2
* Sat Apr  4 2015 dmueller@suse.com
- enable building for all arches
* Thu Oct  9 2014 jgleissner@suse.com
- use nodejs-packaging for building
* Mon Sep 22 2014 i@marguerite.su
- format specfile
* Wed Aug 20 2014 jgleissner@suse.com
- Initial build
